import { Injectable } from '@angular/core';
import { Headers, Http } from '@angular/http';

import { StatementBaseService } from './statement.base.service';

import { RoadSurface } from '../models/road-surface';

@Injectable()
export class RoadSurfaceService extends StatementBaseService {
  protected url: string = 'http://localhost:5000/roadsurface';
  constructor(protected http: Http) {
    super(http);
   }
   public createModel(): Object {
     return new RoadSurface();
   }
   protected parseModels(json: any): any {
     return json.roadSurfaceEditDsM as RoadSurface[];
   }
   protected parseModel(json: any): any {
     return json as RoadSurface;
   }
}
