import { Injectable } from '@angular/core';
import { Headers, Http } from '@angular/http';

import { StatementBaseService } from './statement.base.service';

import { RoadToCategory } from '../models/road-to-category';

@Injectable()
export class RoadToCategoryService extends StatementBaseService {
  protected url: string = 'http://localhost:5000/roadtocategory';
  constructor(protected http: Http) {
    super(http);
   }
   public createModel(): Object {
     return new RoadToCategory();
   }
   protected parseModels(json: any): any {
     return json.roadToCategoryEditDsM as RoadToCategory[];
   }
   protected parseModel(json: any): any {
     return json as RoadToCategory;
   }
}
