import { Injectable } from '@angular/core';
import { Headers, Http } from '@angular/http';

import { StatementBaseService } from './statement.base.service';

import { ServiceObject } from '../models/service-object';

@Injectable()
export class ServiceObjectService extends StatementBaseService {
  protected url: string = 'http://localhost:5000/serviceobject';
  constructor(protected http: Http) {
    super(http);
   }
   public createModel(): Object {
     return new ServiceObject();
   }
   protected parseModels(json: any): any {
     return json.serviceObjectEditDsM as ServiceObject[];
   }
   protected parseModel(json: any): any {
     return json as ServiceObject;
   }
}
