import { Injectable } from '@angular/core';
import { Http } from '@angular/http';

import { StatementBaseService } from './statement.base.service';

import { SettlementAddressLink } from '../models/settlement-address-link';

@Injectable()
export class SettlementAddressLinkService extends StatementBaseService {
  protected url: string = 'http://localhost:5000/settlementaddresslink';
  constructor(protected http: Http) {
    super(http);
  }
  public createModel(): Object {
    return new SettlementAddressLink();
  }
  protected parseModels(json: any): any[] {
     return json.settlementAddressLinkEditDsM as SettlementAddressLink[];
  };
  protected parseModel(json: any): any {
     return json as SettlementAddressLink;
  };
}
