import { Component } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'qs-main',
  templateUrl: './main.component.html',
  styleUrls: ['./main.component.scss'],
})
export class MainComponent {

  routes: Object[] = [
    {
      title: 'Відомості',
      route: '/data',
      icon: 'view_quilt',
    },
    {
      title: 'Список доріг',
      route: '/',
      icon: 'view_quilt',
    },
    {
      title: 'Список паспортів доріг',
      route: '/',
      icon: 'view_quilt',
    },
    {
      title: 'Редагування маршрутів',
      route: '/',
      icon: 'view_quilt',
    },
  ];

  constructor(private _router: Router) {}

  logout(): void {
    this._router.navigate(['/login']);
  }
}
