import { Component } from '@angular/core';

import { AgRendererComponent } from 'ag-grid-ng2/main';

import { RegionSelectList } from '../models/region-select-list';

@Component({
    selector: 'render-cell',
    template: `<span *ngIf="this.model !== undefined">{{this.label}}</span>`
})
export class MapRendererComponent implements AgRendererComponent {
    private params: any;
    private model: Object = null;
    private label: string = null;
    agInit(params: any): void {
        this.params = params;
        this.setValue(params);
    }
    refresh(params: any): void {
        this.params = params;
        this.setValue(params);
    }
    private setValue(params) {
        this.label =  params.value;
    }
}
