import { Component } from '@angular/core';

import { AgRendererComponent } from 'ag-grid-ng2/main';

@Component({
    selector: 'render-cell',
    template: `<span *ngIf="this.value !== undefined">{{this.value}}</span>`,
})
export class RendererValidComponent implements AgRendererComponent {
    private params: any;
    private value: string = null;
    agInit(params: any): void {
        this.params = params;
        this.setValue(params);
    }
    refresh(params: any): void {
        this.params = params;
        console.log(params);
        this.setValue(params);
    }
    private setValue(params) {
        this.value = params.value;
    }
}
