import { Injectable } from '@angular/core';
import { Http } from '@angular/http';

import { CreateBaseService } from './create.base.service';

import { BooleanSelectList } from '../models/boolean-select-list';

@Injectable()
export class BooleanSelectListService extends CreateBaseService  {
    protected apiUrl: string = '';
    constructor(protected http: Http) {
        super(http);
     }
    getModels(): Promise<BooleanSelectList[]> {
        let values: BooleanSelectList[] = [];
        let trueValue: BooleanSelectList = new BooleanSelectList();
        trueValue.value = 1;
        trueValue.label = 'Да';
        let falseValue: BooleanSelectList = new BooleanSelectList();
        falseValue.value = 0;
        falseValue.label = 'Нет';
        values.push(falseValue);
        values.push(trueValue);
        return Promise.resolve(values);
    }
}
