import { Injectable } from '@angular/core';
import { Http } from '@angular/http';

import { StatementBaseService } from './statement.base.service';

import { BusStop } from '../models/bus-stop';

@Injectable()
export class BusStopService extends StatementBaseService {
  protected url: string = 'http://localhost:5000/busstop';
  constructor(protected http: Http) {
    super(http);
  }
  public createModel(): Object {
    return new BusStop();
  }
  protected parseModels(json: any): any[] {
     return json.busStopEditDsM as BusStop[];
  };
  protected parseModel(json: any): any {
     return json as BusStop;
  };
}
