import { Injectable } from '@angular/core';
import { Headers, Http } from '@angular/http';

import { StatementBaseService } from './statement.base.service';

import { CrossSection } from '../models/cross-section';

@Injectable()
export class CrossSectionService extends StatementBaseService {
  protected url: string = 'http://localhost:5000/crosssection';
  constructor(protected http: Http) {
    super(http);
   }
   public createModel(): Object {
     return new CrossSection();
   }
   protected parseModels(json: any): any {
     return json.crossSectionEditDsM as CrossSection[];
   }
   protected parseModel(json: any): any {
     return json as CrossSection;
   }
}
