import { Injectable } from '@angular/core';
import { Http } from '@angular/http';

import { StatementBaseService } from './statement.base.service';

import { FlowIntensity } from '../models/flow-intensity';

@Injectable()
export class FlowIntensityService extends StatementBaseService {
  protected url: string = 'http://localhost:5000/flowintensity';
  constructor(protected http: Http) {
    super(http);
  }
  public createModel(): Object {
    return new FlowIntensity();
  }
  protected parseModels(json: any): any[] {
     return json.flowIntensityEditDsM as FlowIntensity[];
  };
  protected parseModel(json: any): any {
     return json as FlowIntensity;
  };
}
