import { Injectable } from '@angular/core';
import { Http } from '@angular/http';

import { StatementBaseService } from './statement.base.service';

import { RoadService } from '../models/road-service';

@Injectable()
export class RoadServiceService extends StatementBaseService {
  protected url: string = 'http://localhost:5000/roadservice';
  constructor(protected http: Http) {
    super(http);
  }
  public createModel(): Object {
    return new RoadService();
  }
  protected parseModels(json: any): any[] {
     return json.roadServiceEditDsM as RoadService[];
  };
  protected parseModel(json: any): any {
     return json as RoadService;
  };
}
