import { Injectable } from '@angular/core';
import { Headers, Http } from '@angular/http';

import { StatementBaseService } from './statement.base.service';

import { RoadWidth } from '../models/road-width';

@Injectable()
export class RoadWidthService extends StatementBaseService {
  protected url: string = 'http://localhost:5000/roadwidth';
  constructor(protected http: Http) {
    super(http);
   }
   public createModel(): Object {
     return new RoadWidth();
   }
   protected parseModels(json: any): any {
     return json.roadWidthEditDsM as RoadWidth[];
   }
   protected parseModel(json: any): any {
     return json as RoadWidth;
   }
}
